Moving required CMake version from 2.8.4 to 2.8.8
[u/mrichter/AliRoot.git] / cmake / FindDATE.cmake
1 # AliRoot Build System Module to find and configure DATE
2 #
3 # Author: Johny Jose (johny.jose@cern.ch)
4 #         Port of previous Makefile build to cmake
5
6 cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
7
8 find_program(DATE_CONFIG date-config)
9 message(STATUS "Check for Date : ${DATE_CONFIG}")
10 if(DATE_CONFIG)
11   set(DATE_FOUND TRUE)
12   set(DATE_ROOT $ENV{DATE_ROOT})
13   set(DATE_COMMON_DEFS $ENV{DATE_COMMON_DEFS})
14   set(DATE_MONITOR_DIR $ENV{DATE_MONITOR_DIR})
15   execute_process(COMMAND date-config --cflags OUTPUT_VARIABLE DATEFLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
16   string(REGEX REPLACE "\"" "'" DATEFLAGS ${DATEFLAGS})
17   set(DATEFLAGS "-DALI_DATE ${DATEFLAGS}")
18   execute_process(COMMAND date-config --monitorlibs=dyn OUTPUT_VARIABLE DMONLIBS OUTPUT_STRIP_TRAILING_WHITESPACE)
19 else()
20   set(DATEFLAGS "-D${CMAKE_SYSTEM_NAME} -DDATE_SYS=${CMAKE_SYSTEM_NAME} -Dlong32='int' -Dlong64='long long' -DdatePointer='long'")
21 endif(DATE_CONFIG)
22